Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class ConstructorCallExpression

A constructor call

author:
  James Strachan

author:
  Jochen Theodorou

version:
  $Revision: 7922 $

Field Summary
`Expression` | `arguments`

Constructor Summary
`ConstructorCallExpression(ClassNode type, Expression arguments)`

Method Summary
`Expression` | `getArguments()`
`String` | `getText()`
`boolean` | `isSpecialCall()`
`boolean` | `isSuperCall()`
`boolean` | `isThisCall()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ConstructorCallExpression

    public ConstructorCallExpression(ClassNode type, Expression arguments)

Method Detail

### getArguments

    public Expression getArguments()

### getText

    public String getText()

### isSpecialCall

    public boolean isSpecialCall()

### isSuperCall

    public boolean isSuperCall()

### isThisCall

    public boolean isThisCall()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)